Subject: Re: [netlmm] draft-ietf-netlmm-mn-ar-if-03.txt

From: Hidetoshi Yokota <[email-masked]>
Date: Mon, 03 Mar 2008 11:41:41 +0900

Hi Sri,

Thanks for your clarification. I have had enough of this kind of trouble:-).

Regards,
-- 
Hidetoshi

Sri Gundavelli wrote:
> Hi Yokota-san,
> 
> 
> On Fri, 29 Feb 2008, Hidetoshi Yokota wrote:
> 
>>>  It depends on how this is implemented. If PPP context transfer 
>>> scheme is
>>>  in place, the terminal should not detect a new MAG, as the entire 
>>> link is
>>>  moved and the link-local identifiers both the peers remain the same and
>>>  so there is DR change. But, at each handoff if the P2P link is tore 
>>> down
>>>  and re-established with the new MAG, the terminal may see a new DR (if
>>>  no group link-local address is used) and also the terminal needs to 
>>> handle
>>>  this type of handoff in a special way.
>>
>> I think that it is better if the network can keep the PPP link on the 
>> MN side when it moves to a new MAG because some implementation breaks 
>> the session on the MN side if the PPP connection is terminated and 
>> re-established. Thus, it may not be a good idea to use PPP 
>> re-establishment as a trigger for MN_ATTACH.
>>
> 
> Offcourse. As I said, if the PPP session is tore down and reestablished at
> each handoff, the MN should "handle this type of handoff in a special
> way". It requires the MN to retain the address configuration on the prev
> PPP link till its moved to the new PPP interface. Requires some changes
> on the host, as supposed to the other approach of PPP CT.
> 
> Sri
> 
> 
_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm